program fourthordereq
  
  implicit none
  
  !integer,parameter :: R=selected_real_kind(5,10)    ! single precision
  !integer,parameter :: R=selected_real_kind(10,40)   ! double precision
  integer,parameter :: R=selected_real_kind(30,200)  ! quadruple precision

  integer :: n
  real(kind=R) :: x0,x1,x,dx,y,a,b,c,d,e
  integer :: i

  
  dx=0.00001_R
  x0=1.98_R
  x1=2.02_R

  a = 1.0_R; b = -8.0_R; c = 24.0_R; d = -32.0_R; e = 16.0_R-1.0e-8_R
  !a = 1.0_R; b = -4.0_R; c = 8.0_R; d = -16.0_R; e = 16.0_R-1.0e-8_R

  n=(x1-x0)/dx

  

  do i=0,n
     x=x0+dx*i
     y=a*x**4+b*x**3+c*x**2+d*x+e
     print '(2g30.20)',x,y
  enddo


  stop
end program fourthordereq


